Bug 1588 - pppd dump (or dryrun) segfaults
: pppd dump (or dryrun) segfaults
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P5 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-11-20 15:09 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-11-20 15:09:10
# pppd dump
Segmentation fault
# pppd /dev/ttyS0 dump
pppd options in effect:
dump            # (from command line)
/dev/ttyS0              # (from command line)
lock            # (from /etc/ppp/options)
Segmentation fault
# cat /etc/ppp/options 
lock
# uname -a
Linux XXXXXX 2.4.18-alt8-up #1 Thu Aug 22 20:57:21 MSD 2002 i686 unknown unknown GNU/Linux

The dryrun option causes segfault too.

Reproducible with ppp-2.4.1-alt8 (from Sisyphus) and ppp-2.4.1-alt6 (from ALT Linux Master 2.0).
---

---

------- Comment #1 From 2002-12-23 13:36:44 -------
rt_sigaction(SIGPIPE, {0x40128e10, [], SA_RESTORER, 0x4008b6f8}, {SIG_DFL}, 8)
= 0
send(3, \"<30>Dec 23 13:34:04 pppd[7032]: \"..., 55, 0) = 55
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
time([1040639644])                      = 1040639644
getpid()                                = 7032
rt_sigaction(SIGPIPE, {0x40128e10, [], SA_RESTORER, 0x4008b6f8}, {SIG_DFL}, 8)
= 0
send(3, \"<30>Dec 23 13:34:04 pppd[7032]: \"..., 59, 0) = 59
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
time([1040639644])                      = 1040639644
getpid()                                = 7032
rt_sigaction(SIGPIPE, {0x40128e10, [], SA_RESTORER, 0x4008b6f8}, {SIG_DFL}, 8)
= 0
send(3, \"<30>Dec 23 13:34:04 pppd[7032]: \"..., 63, 0) = 63
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++


бага подтверждается.
С другой стороны есть утилита pppdump
------- Comment #2 From 2002-12-23 13:36:44 -------
rt_sigaction(SIGPIPE, {0x40128e10, [], SA_RESTORER, 0x4008b6f8}, {SIG_DFL}, 8)
= 0
send(3, \"<30>Dec 23 13:34:04 pppd[7032]: \"..., 55, 0) = 55
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
time([1040639644])                      = 1040639644
getpid()                                = 7032
rt_sigaction(SIGPIPE, {0x40128e10, [], SA_RESTORER, 0x4008b6f8}, {SIG_DFL}, 8)
= 0
send(3, \"<30>Dec 23 13:34:04 pppd[7032]: \"..., 59, 0) = 59
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
time([1040639644])                      = 1040639644
getpid()                                = 7032
rt_sigaction(SIGPIPE, {0x40128e10, [], SA_RESTORER, 0x4008b6f8}, {SIG_DFL}, 8)
= 0
send(3, \"<30>Dec 23 13:34:04 pppd[7032]: \"..., 63, 0) = 63
rt_sigaction(SIGPIPE, {SIG_DFL}, NULL, 8) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++


бага подтверждается.
С другой стороны есть утилита pppdump
------- Comment #3 From 2002-12-23 14:00:06 -------
pppdump не имеет отношения к данному вопросу - это утилита для разборки файлов
от опции record, а pppd dump должен выдать установленные значения параметров
конфигурации (что он и начал делать во втором случае, но ве равно упал).
------- Comment #4 From 2002-12-23 14:00:06 -------
pppdump не имеет отношения к данному вопросу - это утилита для разборки файлов
от опции record, а pppd dump должен выдать установленные значения параметров
конфигурации (что он и начал делать во втором случае, но ве равно упал).
------- Comment #5 From 2003-11-09 02:58:31 -------
*** Bug 3246 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2004-05-14 17:49:59 -------
to maintainer 
------- Comment #7 From 2004-05-14 18:00:00 -------
ppp-2.4.1.20031003-alt2 still fails in the same way.
------- Comment #8 From 2004-05-31 18:32:51 -------
fixed in ppp-2.4.2-alt1